<?php
/**
*
* @package phpBB3
* @version $Id: nova_easy_login.php $
* @copyright (c) 2011 NoVa ( http://nova-x.co.uk/ )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* Include only once.
*/
if (!class_exists('nova_easy_login'))
{

	/**
	* Options
	*/
	define('NOVA_EASY_LOGIN_ENABLE',	true);	// Enable this MOD?
	define('NOVA_EASY_LOGIN_REMOVE',	false);	// Remove the quick login from the real login page?

	/**
	* Class
	*/
	class nova_easy_login
	{
		/**
		* Constructor
		*/
		function nova_easy_login()
		{
			global $config, $user, $template, $phpbb_root_path, $phpEx;

			if (!NOVA_EASY_LOGIN_ENABLE || (NOVA_EASY_LOGIN_REMOVE && !empty($template->_rootref['S_DISPLAY_FULL_LOGIN'])))
			{
				return;
			}
			$redirect = '&amp;redirect=' . urlencode($user->page['page_dir'] ? $user->page['page'] : str_replace('&amp;', '&', build_url(array())));
			$template->assign_var('S_NOVA_EASY_LOGIN', append_sid("{$phpbb_root_path}ucp.$phpEx", 'mode=login' .  $redirect));
			if (file_exists($user->lang_path . $user->lang_name . '/mods/nova_easy_login.' . $phpEx))
			{
				$user->add_lang('mods/nova_easy_login');
			}
			else
			{
				$template->assign_var('L_NOVA_EASY_LOGIN_USERNAME', $user->lang['USERNAME']);
				$template->assign_var('L_NOVA_EASY_LOGIN_PASSWORD', $user->lang['PASSWORD']);
				$template->assign_var('L_NOVA_EASY_LOGIN_REMEMBER', $user->lang['LOG_ME_IN']);
			}
		}
	}
	// End class

	$nova_easy_login = new nova_easy_login();
}
?>